Subject: [CODE4LIB] EdUI conference early bird ends Mon, July 13

From: John Loy <[email-masked]>
Date: Fri, 10 Jul 2009 11:42:57 -0400

This is just a gentle reminder that the early bird rate of $500 for
the EdUI conference ends next Monday, July 13 at midnight. Don't let
it pass you by. Register today (or tomorrow or Sunday, of course).

http://eduiconf.org/register

See you in September,
EdUI Conference Organizers
http://eduiconf.org